class Zvire:
    """Vytvoří zvíře s danými vlastnostmi."""

    def __init__(self, jmeno, zvuk):
        self.jmeno = jmeno
        self.zvuk = zvuk

    def slysi_na(self, jmeno):
        """Slyší zvíře na dané jméno?"""
        return self.jmeno == jmeno

    def ozvi_se(self):
        """Vydá zvuk daného zvířete."""
        print(self.jmeno, "říká:", self.zvuk)

    def __str__(self):
        return self.jmeno

    def __repr__(self):
        return f"Zvire({self.jmeno}, {self.zvuk})"

    def __eq__(self, other):
        return self.jmeno == other.jmeno and \
               self.zvuk == other.zvuk

class Kocka(Zvire):
    """Vytvoří kočku s danými vlastnostmi."""

    def __init__(self, jmeno, zvuk):
        Zvire.__init__(self, jmeno, zvuk)
        self.pocet_zivotu = 9

    def slysi_na(self, jmeno):
        # Copak kočka slyší na jméno?
        return False
